stages:
  - package
  - docker

before_script:
  - bundle install --binstubs --path ~/gems

Ubuntu 12.04:
  stage: package
  script:
  - ssh -T git@dev.gitlab.org
  - make do_release
  tags:
  - ubuntu1204
  except:
  - branches
Ubuntu 14.04:
  stage: package
  script:
  - ssh -T git@dev.gitlab.org
  - make do_release
  tags:
  - ubuntu1404
  except:
  - branches
Debian 7:
  stage: package
  script:
  - ssh -T git@dev.gitlab.org
  - make do_release
  tags:
  - debian7
  except:
  - branches
Centos 6:
  stage: package
  script:
  - ssh -T git@dev.gitlab.org
  - make do_release
  tags:
  - centos6
  except:
  - branches
Centos 7:
  stage: package
  script:
  - ssh -T git@dev.gitlab.org
  - make do_release
  tags:
  - centos7
  except:
  - branches
Ubuntu 12.04 master:
  stage: package
  script:
  - ssh -T git@dev.gitlab.org
  - make test
  tags:
  - ubuntu1204
  except:
  - tags
Ubuntu 14.04 master:
  stage: package
  script:
  - ssh -T git@dev.gitlab.org
  - make test
  tags:
  - ubuntu1404
  except:
  - tags
Debian 7 master:
  stage: package
  script:
  - ssh -T git@dev.gitlab.org
  - make test
  tags:
  - debian7
  except:
  - tags
CentOS 6 master:
  stage: package
  script:
  - ssh -T git@dev.gitlab.org
  - make test
  tags:
  - centos6
  except:
  - tags
CentOS 7 master:
  stage: package
  script:
  - ssh -T git@dev.gitlab.org
  - make test
  tags:
  - centos7
  except:
  - tags
Debian 8:
  stage: package
  script:
  - ssh -T git@dev.gitlab.org
  - make do_release
  tags:
  - debian8
  except:
  - branches
Debian 8 master:
  stage: package
  script:
  - ssh -T git@dev.gitlab.org
  - make test
  tags:
  - debian8
  except:
  - tags
Raspberry Pi 2 master:
  stage: package
  script:
  - if ./support/is_gitlab_ee.sh; then exit 0; else make test;fi
  tags:
  - RaspberryPi2-branch
  except:
  - tags
Raspberry Pi 2:
  stage: package
  script:
  - if ./support/is_gitlab_ee.sh; then exit 0; else make do_rpi2_release;fi
  tags:
  - RaspberryPi2-tag
  except:
  - branches

Docker master:
  stage: docker
  script:
  - if ./support/is_gitlab_ee.sh; then exit 0; else make do_docker_master;fi
  tags:
  - docker-build
  except:
  - tags

Docker:
  stage: docker
  script:
  - if ./support/is_gitlab_ee.sh; then exit 0; else make do_docker_release;fi
  tags:
  - docker-build
  except:
  - branches
